Skip to main content

Get wallet statements

GET https://wallet.paysera.com/rest/v1/wallet/{walletId}/statements

Retrieve account statements (transactions history) for the wallet.

Example queries:

  • Basic: GET /wallet/14471/statements?limit=50
  • Date range: GET /wallet/14471/statements?from=1357052400&to=1357138800
  • Currency filter: GET /wallet/14471/statements?currency=EUR,USD
  • Direction: GET /wallet/14471/statements?direction=in
  • Search text: GET /wallet/14471/statements?text=payment
  • Pagination: GET /wallet/14471/statements?offset=20&limit=20

Statements are ordered from newest to oldest.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
walletIdstring✓Wallet identifier

Query Parameters​

NameTypeRequiredDescription
currencystringCurrency list, separated by commas
directionstringStatement direction
textstringText to search in statement details
fromintegerStart date (Unix timestamp)
tointegerEnd date (Unix timestamp)
limitintegerMaximum number of results (1-200)
offsetintegerNumber of results to skip
afterstringCursor for next page
beforestringCursor for previous page

Example​

Request​

GET https://wallet.paysera.com/rest/v1/wallet/{walletId}/statements?currency=EUR,USD&direction=value&text=value&from=1357052400&to=value&limit=50&offset=value&after=value&before=value
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{
"statements": [
{
"id": 59418,
"amount": 100,
"currency": "EUR",
"amount_decimal": "1.00",
"direction": "in",
"date": 1363340355,
"details": "Payment received",
"type": "transfer",
"transfer_id": 45375,
"other_party": {
"display_name": "John Doe",
"wallet_id": 78441,
"account_number": "EVP6910001000362"
}
}
],
"_metadata": {
"total": 150,
"offset": 0,
"limit": 50
}
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com
Query Parameters
currency
Currency list, separated by commas
direction
Statement direction
text
Text to search in statement details
from
Start date (Unix timestamp)
to
End date (Unix timestamp)
limit
Maximum number of results (1-200)
offset
Number of results to skip
after
Cursor for next page
before
Cursor for previous page

RESPONSE

Statements retrieved successfully
{
"statements": [
{
"id": 59418,
"amount": 100,
"currency": "EUR",
"amount_decimal": "1.00",
"direction": "in",
"date": 1363340355,
"details": "Payment received",
"type": "transfer",
"transfer_id": 45375,
"other_party": {
"display_name": "John Doe",
"wallet_id": 78441,
"account_number": "EVP6910001000362"
}
}
],
"_metadata": {
"total": 150,
"offset": 0,
"limit": 50
}
}